Bug 43450 - Listeners/Savers assume SampleResult count is always 1
Listeners/Savers assume SampleResult count is always 1
Status: REOPENED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
Other other
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-21 15:08 UTC by Sebb
Modified: 2012-03-18 10:19 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2007-09-21 15:08:30 UTC
A SampleResult can represent more that 1 sample.

However this is not taken into account by Listeners etc.
Comment 1 Sebb 2007-09-21 17:15:01 UTC
Partial fix applied to SVN (trunk and rel-2-2) in r578333

Only Save Config and CSV save/restore have been implemented.

Still to do: XML save/restore

Visualisers need to show the sample count (if appropriate) or at least take it 
into account when calculating rates etc.
Comment 2 Sebb 2007-09-21 17:53:09 UTC
Also fixed for XML files in SVN r578339
Comment 3 Sebb 2007-09-22 11:21:07 UTC
More fixes applied to SVN (trunk and rel-2-2) in r578467:

Error count is now saved/restored from both CSV and XML files;
both are saved together as both are needed for accurate results.

Calculator uses error count instead of isSuccessful.

There are still some areas that need more work.
The handling of multi-sample results is not yet complete.

However remote batch sampling in statistics mode should now work.
Comment 4 Sebb 2012-03-07 00:36:33 UTC
URL: http://svn.apache.org/viewvc?rev=1297810&view=rev
Log:
Bug 43450 - Listeners/Savers assume SampleResult count is always 1
fixed Generate Summary Results

Modified:
   jmeter/trunk/src/core/org/apache/jmeter/visualizers/RunningSample.java
   jmeter/trunk/xdocs/changes.xml
Comment 5 Philippe Mouawad 2012-03-18 10:14:46 UTC
I close as issue is fixed.
Sebb I suppose you forgot to close issue.